[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.SelectedRows

SelectedRows are the recorded rows in a bookmark list.

## Declaration

Source position: dbgrids.pas line 522

`protected property TCustomDBGrid.SelectedRows : TBookmarkList read FSelectedRows;`

## Description

SelectedRows is a read-only TBookmarkList property used to store TBookmark instance for one or more rows selected in the grid control. SelectedRows will normally contain a single TBookmark entry in its Items property for a selected row. However, multiples entry can exist when multi-selection is enabled by including the value dgMultiSelect in the Options property.

SelectedRows is updated when methods which perform record navigation call the DrawRow, SelectRecord or ToggleSelectedRow methods.